%define prefix /usr
%define name glpeces
%define version 5.0
%define release %mkrel 1
%define url http://linux.softpedia.com/get/GAMES-ENTERTAINMENT/Puzzle/Peces-43387.shtml

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Puzzles
URL:		%{url}
Source:		http://sourceforge.net/projects/pecesjocdetangr/files/%{name}-%{version}.tar.xz
Summary:	Tangram game
Summary(de):	Tangram Spiel
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	%{_lib}qt4-devel
Requires:	%{_lib}qtcore4
Obsoletes:	%name < %version

%description
Pieces is a software to play the traditional Tangram game of Chinese origin. 
It consists on constructing shapes with some polygonal pieces. Traditionally 
the game has seven pieces, but there are also variations with 5,14 pieces 
and others.

Play with 18 modalities of tangram and more 3300 shapes.

#german
%description -l de
Pieces ist ein traditionelles Tangram-Spiel chinesischen Ursprungs. Ziel ist es
mit einigen Formen polygonalen Stücke auszufüllen. Traditionell hat das Spiel 
sieben Stücke, aber es gibt weitere Varianten mit 5,14 und noch mehr.


%prep

%setup -q -n %{name}-%{version}

%build

qmake glpeces.pro PREFIX=%{prefix}

%make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=GLPeces
GenericName=GLPeces Game
GenericName[de]=GLPeces Spiel
Comment=%{summary}
Comment[de]=%{summary}
Icon=%{name}
Exec=%{name} %F
Terminal=false
Categories=GNOME;GTK;Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF

mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}/usr/games/%{name} %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}/%{_datadir}/games/%{name}/figures
%__install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/fig/*.fig %{buildroot}/%{_datadir}/games/%{name}/figures/

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc copying readme 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/games/%{name}/help/*
%{_datadir}/games/%{name}/images/*.png
%{_datadir}/games/%{name}/locales/*
%{_datadir}/games/%{name}/figures/*.fig
%{_mandir}/man6/glpeces.6.bz2


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Wed Mar 14 2012 Neal <nealbrks0 at gmail dot com> 5.0-1pclos2012
- process

* Tue Mar 13 2012 leiche <meisssw01 at gmail.com> 5.0-1pclos2012
- initial packages
